Bug 191527 - Include xorg driver for OLPC hardware
Include xorg driver for OLPC hardware
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On: 198025
Blocks: OLPCTracker
  Show dependency treegraph
 
Reported: 2006-05-12 14:53 EDT by David Zeuthen
Modified: 2013-03-05 22:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 17:38:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2006-05-12 14:53:18 EDT
Description of problem:

OLPC is going to be based off Fedora Core so it would be useful to have the Xorg
driver for that video hardware in Rawhide rather than in the OLPC specific
software repository. This is especially useful as the OLPC hardware is based on
the AMD Geode platform which is used in other hardware setups too.

Part of this task is finding the appropriate driver source code; here are some
starting bits; more available on request

 <jg> 5536 is the support chip; the graphics are in the main chip.
 <jg> GX2 is it; the 5536 is the later support chip.

Thanks.
Comment 1 Mike A. Harris 2006-05-19 09:03:32 EDT
Has AMD submitted their driver to X.Org?  That would be a good starting point.
Comment 2 Adam Jackson 2006-05-19 17:18:58 EDT
we already have an nsc driver which claims to be able to drive the GX2. 
presumably AMD's patches will be relative to that.
Comment 3 Adam Jackson 2006-07-08 20:22:57 EDT
AMD's driver work is in git now.  Package submitted for inclusion.
Comment 4 Christopher Blizzard 2006-07-12 22:23:35 EDT
I don't see the drv-amd package in brewroot.  Is it hiding somewhere or did it
get named something else?
Comment 5 Mike A. Harris 2006-07-17 17:38:31 EDT
pts/4 mharris@fc4i386:~$ brew latest-pkg dist-fc6 xorg-x11-drv-amd
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xorg-x11-drv-amd-0.0-1.20060707git.fc6    dist-fc6              ajackson

Note You need to log in before you can comment on or make changes to this bug.